package cn.reghao.tnb.file.app.model.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author reghao
 * @date 2024-09-09 10:58:39
 */
public enum OssType {
    localOss(1, "本地 OSS"),
    aliyunOss(2, "阿里云 OSS");

    private final int code;
    private final String desc;
    private static Map<Integer, String> descMap = new HashMap<>();
    static {
        for (OssType type : OssType.values()) {
            descMap.put(type.code, type.desc);
        }
    }

    OssType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2023-10-11 14:44:42
     */
    public int getValue() {
        return this.code;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByCode(int code) {
        return descMap.get(code);
    }
}
